package com.bwie.common.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 11:21
 */
@Data
public class UserLevel {
    private Integer rank;//用户ID
    private Integer userId;//用户ID
    @DateTimeFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒",timezone = "GTM+8")
    private Date StartDate;//开始时间
    @DateTimeFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒",timezone = "GTM+8")
    private Date EndDate;//结束时间
    private Integer pageNum=1;//分页页数
    private Integer pageSize=5;//每页条数
}
