package com.bwie.mapper;

import com.bwie.common.domain.Education;
import com.bwie.common.domain.History;
import com.bwie.common.domain.Patient;
import com.bwie.common.domain.Pressure;
import com.bwie.common.domain.Records;
import com.bwie.common.domain.Sugar;
import com.bwie.common.domain.request.HistoryRequest;
import com.bwie.common.domain.request.UserLevel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:38
 */
@Mapper
public interface ListsMapper {
    List<Education> educationList();

    List<History> historyList(HistoryRequest historyRequest);

    List<Patient> patientList(UserLevel userLevel);

    List<Pressure> pressureList(UserLevel userLevel);

    List<Records> recordsList(UserLevel userLevel);

    List<Sugar> sugarList(UserLevel userLevel);

    Integer getUser(String name);
}
