package com.bwie.service;

import com.bwie.common.domain.Education;
import com.bwie.common.domain.History;
import com.bwie.common.domain.Patient;
import com.bwie.common.domain.Pressure;
import com.bwie.common.domain.Records;
import com.bwie.common.domain.Sugar;
import com.bwie.common.domain.request.HistoryRequest;
import com.bwie.common.domain.request.UserLevel;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:37
 */
public interface ListsService {
    Result<List<Education>> educationList();

    Result<PageResult<History>> historyList(HistoryRequest historyRequest);

    Result<PageResult<Patient>> patientList(UserLevel userLevel);

    Result<PageResult<Pressure>> pressureList(UserLevel userLevel);

    Result<PageResult<Records>> recordsList(UserLevel userLevel);

    Result<PageResult<Sugar>> sugarList(UserLevel userLevel);
}
