package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:46
 */
@Data
public class Sugar {
    private Integer bsId;//血糖数据ID
    private Integer userId;//用户ID
    @DateTimeFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒",timezone = "GTM+8")
    private Date measurementTime;//测量时间
    private Double bloodSugarValue;//血糖值
}
